Name:           phun
Summary:        2D physics sandbox
Version:        3.5
Release:        %mkrel 2
License:        Free for non-commercial use
URL:            http://www.phun.at/
Group:          Sciences/Mathematics
AutoReqProv:    off
Requires:       SDL_image
Requires:       SDL
BuildRequires:  chrpath
Source0:        Phun_beta_3_5_linux32.tar.bz2
Source1:        phun.png
Source2:        phun.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
%define         phundir %{_libdir}/phun

%description
Phun is a Master of Science Thesis by Computing Science student Emil Ernerfeldt
for supervisor Kenneth Bodin at VRLab, Umeå University. The solver is based on
work by Claude Lacoursière
Phun is meant to be a playground where people can be creative. It can also be
used as an educational tool to learn about physics concepts such as restitution
and friction.

%prep
%setup -q -n Phun
chrpath -r %{phundir}/%{name}

%build

%install
install -D -m644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{phundir}
cp -a * %{buildroot}%{phundir}/
sed -e "s|_PHUNDIR_|%{phundir}|g" %{SOURCE2} > %{buildroot}%{_bindir}/%{name}.sh
chmod +x %{buildroot}%{_bindir}/%{name}.sh
chmod +x %{buildroot}%{phundir}/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=2D physics sandbox
GenericName[de]=2D Physik Sandkasten
Name=Phun
Name[de]=Phun
Exec=%{_bindir}/%{name}.sh
Comment=2D physics sandbox
Icon=phun.png
Type=Application
Categories=Education;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc *.txt 
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{phundir}
%defattr(755,root,root,755)
%{phundir}/%{name}
%{phundir}/%{name}.bin
%{_bindir}/%{name}.sh

%changelog
* Tue May 05 2009 pcserver <pcserver@hushmail.com> 3.5-2pclos2009
- fix synaptic group

* Tue Apr 01 2008 P. K. Frederic <pkfric@yahoo.com> 3.5-1pclos2007
- first RPM for PCLinuxOS
